/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package sync4j.framework.config;

import java.util.ArrayList;

/**
 * This class is just a container of LoggerConfiguration objects.
 *
 * @see LoggerConfiguration
 *
 * @author  Stefano Fornari @ Funambol
 * @version $Id: LoggingConfiguration.java,v 1.1.2.4 2005/01/26 16:55:04 stefano_fornari Exp $
 */
public class LoggingConfiguration 
implements java.io.Serializable {
    
    // ------------------------------------------------------------ Private data
    
    private ArrayList loggers;
    
    // ------------------------------------------------------------ Constructors
    
    /** Creates a new instance of LoggingConfiguration */
    public LoggingConfiguration() {
    }
    
    /**
     * Getter for property loggers.
     *
     * @return Value of property loggers.
     */
    public ArrayList getLoggers() {
        return loggers;
    }
    
    /**
     * Setter for property loggers.
     *
     * @param loggers New value of property loggers.
     */
    public void setLoggers(ArrayList loggers) {
        this.loggers = loggers;
    }
    
    // ---------------------------------------------------------- Public methods
    
    
}
