/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package sync4j.framework.engine;

import sync4j.framework.core.StatusCode;

/**
 * @author Stefano Fornari @ Funambol
 * @version $Id: SyncException.java,v 1.3.4.2 2005/01/26 16:55:04 stefano_fornari Exp $
 */
public class SyncException extends java.lang.Exception {
    
    // ------------------------------------------------------------ Private data
    
    private int statusCode;
    
    // ------------------------------------------------------------ Constructors
    
    public SyncException(String msg) {
        this(msg, null, StatusCode.PROCESSING_ERROR);
    }
    
    public SyncException(String msg, int statusCode) {
        this(msg, null, statusCode);
        
    }
    
    public SyncException(String msg, Throwable cause) {
        this(msg, cause, StatusCode.PROCESSING_ERROR);
    }
    
    public SyncException(String msg, Throwable cause, int statusCode) {
        super(msg, cause);
        this.statusCode = statusCode;
    }

    public SyncException(Throwable cause) {
        this(cause.getMessage(), cause, StatusCode.PROCESSING_ERROR);
    }
    
    // ---------------------------------------------------------- Public methods
    
    public int getStatusCode() {
        return statusCode;
    }
}