/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package sync4j.framework.engine.source;

import sync4j.framework.engine.SyncException;

/**
 * @version $Id: SyncSourceException.java,v 1.4.4.2 2005/01/26 16:55:04 stefano_fornari Exp $
 */
public class SyncSourceException extends SyncException {
    private String uri    = null;
    private String config = null;

   public SyncSourceException(String msg) {
        super(msg);
    }

   public SyncSourceException(String msg, int statusCode) {
        super(msg, statusCode);
    }

   public SyncSourceException(String msg, Throwable cause) {
        super(msg, cause);
    }

   public SyncSourceException(Throwable cause) {
        super(cause);
    }

   public SyncSourceException(String uri, String config, Throwable cause) {
        super(cause);
        this.uri    = uri;
        this.config = config;
    }

   public String getUri() {
        return this.uri;
    }

   public String getConfig() {
        return this.config;
    }

   
}